Subject: Re: [GSoC][RFC PATCH 0/2] Add refs list subcommand

From: Junio C Hamano <[email-masked]>
Date: Fri, 27 Jun 2025 11:03:13 -0700

Meet Soni <[email-masked]> writes:

>   - Remove legacy or obscure options that are no longer needed.

Such as?

>   - Add improvements that wouldn't make sense to bolt onto legacy
>     commands.

Such as?

While I agree that there may be cases that the above goals in
general would bring us improvements, I think neither of these two
applies to for-each-ref.  People are using for-each-ref to iterate
over and enumerate refs already, and if you are to add some new
features to "git refs list", they certainly will demand these new
goodies to be added to for-each-ref as well.

So, I dunno.